首页 新闻 搜索 专区 学院

IE浏览器用哪个版本开发最好,请说明原因。

0
悬赏园豆:10 [已解决问题] 解决于 2013-07-18 14:21

如题。用哪个版本的IE开发Web程序最好,开发的时候如何能最大限度的兼容其他浏览器。

尤其是样式!

二十三号同学的主页 二十三号同学 | 小虾三级 | 园豆:941
提问于:2013-07-17 18:08
< >
分享
最佳答案
0

至于兼容的测试的话,你可以安装的ieTester的工具,这个是从ie6-10的都有。但是有弊端就是有些js不识别,可能有些效果在其他浏览器上可以,但是在他上边就不可以了。个人感觉哪个都可以,你可以在ie下设置模式就行了,比如兼容模式,或者ie7的标准都行。

收获园豆:4
妍珊 | 小虾三级 |园豆:1169 | 2013-07-17 18:16

主要是考虑到用户的IE版本,难道用IE6进行开发?IE是向下兼容的吧。

好像主要就是样式上差异比较大把。

尽量不用JS,伤!

二十三号同学 | 园豆:941 (小虾三级) | 2013-07-17 18:20
其他回答(3)
0

尽量支持主流几个浏览器就行, 不可能兼顾所有浏览器, IE系列的, 现在最多的就是IE8, 偶尔也有IE6或7, 其实支持IE8就够了, firefox, chrome这几个。 

收获园豆:2
风浪 | 园豆:2861 (老鸟四级) | 2013-07-17 18:56
0

国外的话要支持IE7及以上,国内要支持IE6

收获园豆:2
Tom.汤 | 园豆:2016 (老鸟四级) | 2013-07-17 20:24
0

如果你是程序,还是较少一点考虑样式。反正我是不太喜欢整天调兼容性,尤其是产品还要我去兼容流氓的360浏览器的时候,我火气就莫名其妙的大。。。

对于ie,我比较喜欢8,9、10、11可能性能好点,但是我就是不喜欢8以后的版本的图标,另外,浏览器也难看。。。

个人爱好吧。。。

收获园豆:2
顾晓北 | 园豆:10219 (专家六级) | 2013-07-18 11:24
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册